GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List articles GETWrite article POSTGet article GETRefresh page POST
Articles

Get article GET

One document with its steps.

List personas GET

List a brand's buyer personas.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Articles

Refresh page

POST
/brands/{brandId}/documents/refresh

Refresh an existing page in the background.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid

Request Body

application/json
  1. body
  1. body
  2. …
promptId?|
Formatuuid
Defaultnull
personaId?|
Formatuuid
Defaultnull
tone?|
Lengthlength <= 60
Defaultnull
keyPoints?array<>
Itemsitems <= 10
Default[]
blockedWords?array<>
Itemsitems <= 30
Default[]
references?array<>
Itemsitems <= 5
Default[]
url*string
Formaturi
Lengthlength <= 1000
topic?string
Lengthlength <= 500
level?string
Default"balanced"
Value in"conservative""balanced""full"

Response Body

Refresh queued

application/json
  1. response
  1. response
  2. …
id*string
Formatuuid
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/refresh' \  -H 'Content-Type: application/json' \  -d '{  "url": "http://example.com"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}

Get article GET

One document with its steps.

List personas GET

List a brand's buyer personas.

Start free trial
Start free trial
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/refresh' \
  -H 'Content-Type: application/json' \
  -d '{
  "url": "http://example.com"
}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}